@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen&display=swap');

::-webkit-scrollbar {
    width: 12px;
    height: 12px;
}

::-webkit-scrollbar-thumb {
    background-color: #c0c0c0;
    background-clip: padding-box;
    border: 0.05em solid #eeeeee;
    border-radius: 15px;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #a0a0a0;
}

::-webkit-scrollbar-track {
    background-color: unset;
}

::-webkit-scrollbar-corner { 
    border-radius: 15px;
}

h1 {
    margin: 0px;
}

h5 {
    margin: 0px;
    font-weight: 300;
}

input.rounded {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
	flex: 1 1 auto;
}

input.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

input.rounded:disabled {
    background: #ebebe4;
}

select.rounded {
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    border-color: #aaa;
    padding: 4px 5px;
	flex: 1 1 auto;
}

textarea.rounded {
    border-radius: 5px;
    padding: 4px 5px;
    border-style: solid;
    border-width: 1px;
    border-color: rgb(169, 169, 169);
}

textarea.rounded:disabled {
    background: #ebebe4;
}

textarea.rounded:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.arrow_container {
    position: fixed;
    width: 100%;
    height: 100vh;
    pointer-events: none;
}

.arrow_container_top {
    pointer-events: all;
    position: absolute;
    left: 50%;
    top: 20px;
}

.arrow_container_bottom {
    pointer-events: all;
    position: absolute;
    left: 50%;
    bottom: 20px;
}

.arrow {
    transition: opacity 0.5s ease;
    opacity: 0;
    border: solid black;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 5px;
}

.right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
}

.left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
}

.up {
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
}

.down {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
}

.menu_item {
    display: flex;
    position: relative;
}

.indicator_changes {
    transition: opacity 0.5s ease;
    opacity: 0;
    position: absolute;
    left: -26px;
    top: calc(50% - 3px);
    background: #f00;
    border-radius: 50%;
    width: 6px;
    height: 6px;
}

.indicator_loader_group {
    transition: opacity 0.5s ease;
    opacity: 0;
    position: absolute;
    display: flex;
    font-weight: bold;
    left: -35px;
    top: 4px;
}

.indicator_loader_group > div {
    margin-right: 4px;
}

.indicator_loader {
    border: 4px solid #c9c9c9;
    border-top: 4px solid #000; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 16px;
    height: 16px;
    animation: spin 1500ms ease-in-out infinite;
}

.smaller_loader {
    border: 2px solid #c9c9c9;
    border-top: 2px solid #000; 
    border-radius: 50%;
    min-width: 8px;
    min-height: 8px;
    width: 12px;
    height: 12px;
    animation: spin 1500ms ease-in-out infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.indicator_visible {
    opacity: 1;
}

.page_container {
    display: flex;
    flex-direction: row;
    row-gap: 20px;
    font-family: 'Oxygen', sans-serif;
}

.page {
    display: flex;
    height: 100vh;
    align-items: center;
}

.side_container {
    display: flex;
    flex-direction: column;
    flex-shrink: 0;
    align-items: end;
    width: 370px;
}

.side_menu {
    position: fixed;
    top: calc(50% - 100px);
    margin-right: 100px;
    font-size: 24px;
    font-family: 'Nunito Sans';
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    padding-left: 20px;
}

.side_menu > div {
    color: #ccc;
    position: relative;
    transition: color 0.5s ease;
    cursor: pointer;
    display: flex;
}

.side_menu > div:hover {
    color: #000;
}

.side_menu > .active {
    color: #000;
    font-weight: bold;
}

.content_container {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.logo {
    position: fixed;
    margin-right: 90px;
    margin-top: 100px;
}

.logo > img {
    width: 204px;
}

.group {
    display: flex;
    flex-direction: column;
    width: 500px;
    row-gap: 20px;
    padding: 30px;
    border-radius: 10px;
    background: #f9f9f9;
    box-shadow: #0003 0px 0px 7px;
}

.sub_group {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
}

.title {
    margin-bottom: 10px;
    font-size: 24px;
    font-weight: bold;
}

.tag_container {
    display: flex;
    flex-wrap: wrap;
    column-gap: 5px;
    row-gap: 5px;
    padding: 10px;
    border-radius: 5px;
    background: #eee;
    border: 1px solid #ddd;
    min-height: 55px;
    box-sizing: border-box;
}

.tag {
    cursor: pointer;
    padding: 7px;
    background: #2595e5;
    border-radius: 5px;
    border: 1px solid #0000;
    color: #fff;
    font-size: 14px;
}

.tag:hover {
    border-color: #000;
    box-shadow: 0px 0px 3px #117;    
}

.tag:active {
    filter: brightness(0.85);
}

.search_icon {
    background-image: url('./../resources/search.png');
    background-repeat: no-repeat;
    background-size: 18px 18px;
    background-position: 12px center;
}

.autocomplete_input_field {
    display: flex;
    flex-direction: column;
    flex: 1 1 0;
    position: relative;
}

.autocomplete_input_field input {
    border-width: 1px;
    border-style: solid;
    border-color: #ddd;
    border-radius: 5px;
    padding: 10px 10px 10px 35px;
}

.autocomplete_input_field input:focus {
    outline: none;
    box-shadow: 0px 0px 3px #3399ff;
}

.autocomplete {
    position: absolute;
    margin: 0px;
    padding: 5px;
    margin-top: 30px;
    border-radius: 5px;
    background: #fcfcfc;
    border: 1px solid #ccc;
    box-shadow: 0px 3px 10px #0009;
    overflow-y: auto;
    max-height: 450px;
    min-width: 380px;
    white-space: pre-line;
    z-index: 999;
    width: 100%;
    box-sizing: border-box;
}

.autocomplete > li {
    padding: 5px 10px;
    border-top: 1px solid #ccc;
    cursor: pointer;
}

.autocomplete > li:nth-child(1) {
    border-top: unset;
}

.autocomplete > li:hover {
    background: #2595e5;
    color: #fff;
    border-radius: 5px;
}

.autocomplete_unavailable {
    color: #999;
}

.clickable {
    user-select: none;
    cursor: pointer;
}

.button_container {
    display: flex;
    justify-content: flex-end;
    margin: 0px 5px;
}

.button {
    user-select: none;
    cursor: pointer;
    font-weight: bold;
}

.choose_import_drag_drop {
    display: flex;
    min-height: 70px;
    min-width: 400px;
}

.choose_import_dropzone {
    border: #ccc 3px dashed;
    border-radius: 8px;
    color: #bbb;
    background: #fafafa;
    align-items: center;
    justify-content: center;
    display: flex;
	flex: 1 1 auto;
	min-height: 100px;
}

.choose_import_button_file_picker {
    visibility: collapse;
    height: 0;
}

.list_container {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    column-gap: 5px;
    row-gap: 5px;
    padding: 10px;
    border-radius: 5px;
    background: #eee;
    border: 1px solid #ddd;
    min-height: 55px;
    box-sizing: border-box;
}

.list_container > div {
    padding: 7px;
    background: #2595e5;
    border-radius: 5px;
    border: 1px solid #0000;
    color: #fff;
    font-size: 14px;
    display: flex;
    justify-content: space-between;
}

.start > h1 {
    margin-bottom: 20px;
}

.start > h5 {
    margin-bottom: 20px;
}

.education > h1 {
    margin-bottom: 20px;
}

.occupation > h1 {
    margin-bottom: 20px;
}

.skill > h1 {
    margin-bottom: 20px;
}

.next_step > h1 {
    margin-bottom: 20px;
}

h1.small_margin {
    margin-bottom: 5px;
}

.summary {
    display: flex;
    flex-direction: column;
    row-gap: 25px;
}

.summary_list {
    min-height: unset;
}

.summary_list > div {
    color: #000;
    padding: 0px 0px 7px 0px;
    background: unset;
    border-radius: unset;
    border-bottom: 1px solid #ccc;
}

.summary_list > div:last-child {
    border-bottom: unset;
    padding: unset;
}

.summar_top_title {
    margin-top: 90px;
}

.summary_group_title {
    margin-bottom: 25px;
}

.summary_bottom_margin {
    margin-bottom: 90px;
}

.page1 {
    display: flex;
}

.red {
    color: #f00 !important;
}

.orange {
    color: #f90 !important;
}

.green {
    color: #0b0 !important;
}

.start_result_info > div::first-child {
    margin-top: 5px;
}

.start_result_info > div:not(:first-child) {
    font-size: small;
    background: #fff9;
    margin-left: 10px;
    color: #00a;
}